## org.apache.myfaces.component.html.ext
Class HtmlGraphicImage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIGraphic
                  javax.faces.component.html.HtmlGraphicImage
                      org.apache.myfaces.component.html.ext.HtmlGraphicImage

All Implemented Interfaces:
  javax.faces.component.StateHolder, UserRoleAware

public class HtmlGraphicImage
extends javax.faces.component.html.HtmlGraphicImage
implements UserRoleAware

Version:
  $Revision$ $Date: 2005-05-11 17:34:57 +0200 (Wed, 11 May 2005) $
Author:
  Bruno Aranda

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIGraphic
`COMPONENT_FAMILY`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`HtmlGraphicImage()`

Method Summary
`java.lang.String` `getClientId(javax.faces.context.FacesContext context)`
`java.lang.String` `getEnabledOnUserRole()`
`java.lang.String` `getVisibleOnUserRole()`
`boolean` `isRendered()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class javax.faces.component.html.HtmlGraphicImage

`getAlt, getDir, getHeight, getLang, getLongdesc, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle, getUsemap, getWidth, isIsmap, setAlt, setDir, setHeight, setIsmap, setLang, setLongdesc, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle, setUsemap, setWidth`

Methods inherited from class javax.faces.component.UIGraphic
`getFamily, getUrl, getValue, getValueBinding, setUrl, setValue, setValueBinding`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlGraphicImage

    public HtmlGraphicImage()

Method Detail

### getClientId

    public java.lang.String getClientId(javax.faces.context.FacesContext context)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

  Specified by:
    `setEnabledOnUserRole` in interface `UserRoleAware`

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

  Specified by:
    `getEnabledOnUserRole` in interface `UserRoleAware`

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

  Specified by:
    `setVisibleOnUserRole` in interface `UserRoleAware`

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

  Specified by:
    `getVisibleOnUserRole` in interface `UserRoleAware`

### isRendered

    public boolean isRendered()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`